﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Common;
using AffinityORMLibrary.DataLayer.Utility;
using AffinityORMLibrary.DataTypes;

namespace AffinityORMLibrary.DataLayer.Action
{
    class GetSysTableInfo : ISelectionAction
    {
        public DbCommand Select(DbProviderFactory factory, DataBase domain)
        {
            DbCommand command = factory.CreateCommand();
            command.CommandText = "SELECT * FROM INFORMATION_SCHEMA.TABLES " + SQLHelper.CreateWhereClause(domain);
            return command;
        }
    }
}
