﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AffinityORMLibrary.DataTypes
{
    public class SysTable
    {
        public string TABLE_CATALOG
        {
            get { return _tableInfo.TABLE_CATALOG; }
        }

        public string TABLE_SCHEMA
        {
            get { return _tableInfo.TABLE_SCHEMA; }
        }

        public string TABLE_NAME
        {
            get { return _tableInfo.TABLE_NAME; }
        }

        public string TABLE_TYPE
        {
            get { return _tableInfo.TABLE_TYPE; }
        }

        private SysTableInfo _tableInfo;
        public SysTableInfo TableInfo
        {
            get { return _tableInfo; }
            set { _tableInfo = value; }
        }

        private List<SysTableColumn> _columns;
        public List<SysTableColumn> Columns
        {
            get { return _columns; }
            set { _columns = value; }
        }
    }
}
