﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AffinityORMLibrary.DataTypes;
using AffinityORMLibrary.DataLayer.Factory;
using System.Configuration;

namespace AffinityORMLibrary
{
    public class ModelAssembler
    {
        private ConnectionStringSettings _connectionString;
        public ConnectionStringSettings ConnectionString
        {
            get { return _connectionString; }
            set { _connectionString = value; }
        }

        public ModelAssembler(ConnectionStringSettings connectionString)
        {
            _connectionString = connectionString;
        }

        public List<SysTable> GetSysTables()
        {
            SysTableFactory factory = new SysTableFactory();
            return factory.GetSysTables(_connectionString);
        }
    }
}
